# Optain Demo Version

# Release Note

## 2024.11.06(수) - v0.8.0

### 개발 사항

- `macOS` 임시 지원
- 로컬 및 클라우드 파일 내용 기반 AI 답변 추가
- 제스처 기능 추가
- `Google Slides`, `Google Calendar` 추가
- 설치 파일 `.exe`에서 `.msi`로 변경(이전에 다운 받았던 버전은 제거해야 합니다.)
- 검색 창 활용 가능하도록 변경
- 컨텍스트 팝업 길이 위젯 수에 따라 동적 변경
- `Ctrl`, `Cmd` 특수 조합으로 위젯 실행
- 로컬 및 클라우드 파일 검색 적중률을 개선 및 UX 수정
- 동시에 여러 `Optain`이 실행되지 않도록 수정
- 클라우드 파일 계정 연동 안정성을 강화
- 위젯을 따로 설치할 필요 없도록 함

### 현재 확인된 버그

- 제스처 팝업 마우스로 실행 도중 동작 불가능
- `macOS`에서 전체 화면으로 보여지고 있는 경우, 팝업이 뜨지 않음
- 제스처 팝업에서는 키보드로 실행을 지원하지 않음
- `macOS`에서는 제스처에서 마우스 커서가 가려지지 않음
- `macOS`에서 제스처로 `[`, `]`, `/`, `\`, `,`, `.`, `=`, `-`, `;`, `'`, ``` 등의 특수 기호를 사용할 수 없음

---

## 2024.09.23(월) - v0.7.0

### 개발 사항

- 로컬 및 클라우드 파일 검색 기능 추가
- 위젯 설정에서 `Drag & Drop`로 순서 변경 시 비정상적으로 동작하는 버그 수정
  - `Drag & Drop` 시 발생하는 위치 이슈 수정
- 조건에 의해 비활성화 된 위젯 하단으로 이동
- 검색 쿼리 위젯의 `/` 키를 통한 태그 검색의 `UX` 개선
- 검색 쿼리 위젯 태그 상태로 저장
- 검색 커리 위젯 켜질 시 입력 창에 바로 포커스
- 일부 위젯 활성화 조건 수정
  - 요약 위젯: 20자 이상 드래그
  - 작성 위젯: 10자 이상 드래그
  - 쿼리 검색 위젯: 클립보드 데이터 활용하지 않음
- 위젯들의 폴더 이름 최신화

### 현재 확인된 버그

- 컨텍스트 팝업 마우스로 실행 도중 강제 종료

---

## 2024.08.26(월) - v0.6.1

### 개발 사항

- 문서 작성 위젯 상태 저장 및 말투 추가/삭제 추가
- 위젯에서 문맥 정보 들어올 경우 우측 하단 알림 추가
- `Cache-Control`을 수정하여 위젯이 캐시되지 않도록 수정
- 컨텍스트 팝업 닫을 때 애니메이션 수정
- 컨텍스트 팝업 켜질 때 지연시간 `0.1s`에서 `0.4s`로 수정
- `Optain` 애플리케이션과 위젯의 말투 수정(Helper)

### 현재 확인된 버그

- 컨텍스트 팝업 마우스로 실행 도중 강제 종료

---

## 2024.08.18(월) - v0.6.0

### 개발 사항

- 단축키 등록하여 컨텍스트 트리거 기능 추가
- 위젯 상태 저장 구현(번역 위젯 적용)
- 컨텍스트 팝업 외부 클릭 시 컨텍스트 팝업 종료
- 검색 쿼리 위젯 개발 완료
- `AI` 검색 서비스 위젯, 유튜브 요약 위젯 제거
- 항상 켜지는 위젯 / 위젯 사이즈 조절 가능
- 번역 위젯 지원 언어 총 11가지로 변경(힌디어의 경우 `DeepL`에서 지원하지 않음)

### 현재 확인된 버그

- 컨텍스트 팝업 실행 도중 렉과 함께 강제 종료(빈도는 줄어듬)
- 단축키로 컨텍스트 트리거 시 문맥 정보가 넘어가지 않을 수 있음(특수 키와 복사가 동시에 발생해서 생기는 문제)

---

## 2024.08.07(수) - v0.5.0

### 개발 사항

- `Figma`에 정의된 데모 버전 사양 개발 완료
  1. 번역 위젯
  2. 요약 위젯
  3. 작성 위젯
  4. 유튜브 요약 위젯(추가)
  5. AI 검색 서비스 위젯(추가)
- 컨텍스트 팝업에서 키보드를 사용한 상호작용 가능
- 컨텍스트 팝업에 등록한 위젯은 저장되지 않음(껏다 켰을 때 초기화)
- 제스처 팝업에 대한 설정은 없으나, 이전 버전의 설정 값 그대로 사용 가능함

### 현재 확인된 버그

- 컨텍스트 팝업 실행 도중 렉과 함께 강제 종료
- 드래그 후 컨텍스트 팝업(위젯 결과 창) 실행 시 드래그 데이터가 간혹 넘어가지 않음
